/*-------------------------------------------------------------------------*/
/*      BallLocationAnalyzer.java                                          */ 
/*      Copyright (C) 2000 by  Sinji Ftamase [g95241@isc.chubu.ac.jp]      */
/*      Last Update 2000/10/22                                             */
/*-------------------------------------------------------------------------*/

/**************************************************************/
/*   playerΰ֤ϿƤ,distance׻????  */
/*                                                            */ 
/**************************************************************/
package Analyzer;

//my package
import Information.*;
import Utility.*;

//jdk package 
import java.util.*;

public class BallLocationAnalyzer extends Analyzer{

    public static final boolean VERBOSE = false;

    /**************************************/
    /*        instance variable           */
    /**************************************/
    
    BaseSeeInformation bsi;

    //줳Υܡΰ
    DPoint dp = new DPoint(); 

    //ܡΰ֤Ͽ
    //Vector???
    //static final int MAX_ARRAY = 10000; 
    
    boolean init = false;
	
    int time;

    //ȤꤢΣʬver

    int[] ballLocation = new int[2]; 

    /**************************************/
    /*            constructor             */
    /**************************************/

    public BallLocationAnalyzer(BaseSeeInformation bsi){

	this.bsi = bsi;
	ballLocation[0] = ballLocation[1] = 0;
	
	bsi.addObserver(this);

    }		

    /**************************************/
    /*               method               */
    /**************************************/

    /*
    public DPoint getBallrPoint(int time){

	//System.out.println("time"+time);

	AllPlayerPoint app = playerPoints[time];

	return app.dp[side][unum-1];

	}
    */

    public void update(Observable o, Object arg){

	analyze();

    }

    public double getBallPosPercentage(int side){

	
	if ((ballLocation[0] + ballLocation[1]) == 0){

	    return 0.5;

	}

	return ballLocation[side] / (double)(ballLocation[0] + ballLocation[1]);

    }

    public void analyze(){

	
	if (!init){

	    init();

	}

	copy();

	if (bsi.play_mode == CParam.PLAY_ON){

	    //	    calcDistance();
	    calcBallLocationPercentage();

	    if (VERBOSE){
	    
		int leftP = (int)(getBallPosPercentage(Team.LEFT)*100);
		int rightP= (int)(getBallPosPercentage(Team.RIGHT)*100);

		System.out.println("left sihai:"+leftP+" right sihai:"+rightP);
	    }

	    setChanged();
	    notifyObservers();

	}

	/*ܡ֤Ͽ
	if (time != bsi.time){

	    copy2();

	}
	*/

	time = bsi.time;
	
    }

    protected void calcDistance(){

    }





    protected void calcBallLocationPercentage(){

	if (bsi.ball.x >= 0.0 ){
	    
	    ballLocation[Team.LEFT]++;

	}else{

	    ballLocation[Team.RIGHT]++;

	}
    }

    protected void init(){

	copy();
	time = bsi.time;
	init = true;
    }

    protected void copy(){

	dp.x = bsi.ball.x ;
	dp.y = bsi.ball.y;

    }

    /*
    protected void copy2(){

	AllPlayerPoint ap = new AllPlayerPoint();

	for (int i = 0; i <= 1; i++){
	    for (int j = 0; j <= 10; j++){

		if (bsi.team[i].player[j].enable != CParam.DISABLE){

		    ap.dp[i][j].x = bsi.team[i].player[j].x;
		    ap.dp[i][j].y = bsi.team[i].player[j].y;

		}

	    }
	}

	playerPoints[bsi.time] = ap;
	
	//System.out.println("create"+bsi.time);


    }
    */

    //    public void initBallLocation()




}




	






 
