/*-------------------------------------------------------------------------*/
/*      EvaluatedPlayer.java                                               */ 
/*      Copyright (C) 2000 by  Sinji Ftamase [g95241@isc.chubu.ac.jp]      */
/*      Last Update 2000/08/26                                             */
/*-------------------------------------------------------------------------*/

/**************************************************************/
/*   ץ졼䤴Ȥɾ                                       */
/*                                                            */ 
/**************************************************************/
package Analyzer;

//my package
import Information.*;

//jdk package 
import java.util.*;
public class EvaluatedPlayer extends Observable{

    /**************************************/
    /*        instance variable           */
    /**************************************/

    //
    //ݻǡ
    //

    //ֹ
    int unum;

    //Υ
    int side;
    
    //ѥ֤Ȥ,Vector.size()֤褤
    //ʤ,®٤٤ʤ뤫⤷ʤΤ,Ȥꤢ
    //̤˿ɽѿ֤Ƥ
    int kick = 0;
    int eachKick[] = new int[11];

    int pass = 0;
    int eachPass[] = new int[11];

    int recv = 0;
    int eachRecv[] = new int[11];

    int intercept = 0;
    int eachIntercept[] = new int[11];

    int intercepted = 0;
    int eachIntercepted[] = new int[11];

    Vector kickPlay = new Vector(50);
    Vector passPlay = new Vector(50);
    Vector recvPlay = new Vector(50);
    Vector interceptPlay = new Vector(50);
    Vector interceptedPlay = new Vector(50);
    
    /**************************************/
    /*            constructor             */
    /**************************************/

    public EvaluatedPlayer(int unum, int side){

	this.unum = unum;
	this.side = side;

    }		

    /**************************************/
    /*               method               */
    /**************************************/

    //************************************//
    //          ᥽å        //
    //************************************//


    //ץ졼䤬åץ졼ɲ
    public void addKickPlay(Kick kick){

	kickPlay.add(kick);
	setChanged();

    }

    //ץ졼䤬ѥ򤷤ץ졼ɲ
    public void addPassPlay(Pass pass){

	passPlay.add(pass);
	setChanged();

    }

    //ץ졼䤬ѥץ졼ɲ
    public void addRecvPlay(Pass pass){

	recvPlay.add(pass);
	setChanged();

    }

    //ץ졼䤬󥿡ץȤ򤷤ץ졼ɲ
    public void addInterceptPlay(Intercept inter){

	interceptPlay.add(inter);
	setChanged();

    }

    //ץ졼䤬󥿡ץȤ򤵤줿ץ졼ɲ
    public void addInterceptedPlay(Intercept inter){

	interceptedPlay.add(inter);
	setChanged();

    }

    //ֹunumΥץ졼إѥ򤷤֤
    public int getPassFor(int unum){

	return eachPass[unum-1];

    }

    //ֹunumΥץ졼䤫ѥ֤
    public int getReceiveBy(int unum){
	
	return eachRecv[unum-1];
    }

    
    //ֹunumΥץ졼䤫饤󥿡ץȤ֤
    public int getInterceptFor(int unum){

	return eachIntercept[unum-1];

    }

    //ֹunumΥץ졼䤫饤󥿡ץȤ֤
    public int getInterceptedBy(int unum){

	return eachIntercepted[unum-1];

    }

}




	






 
