/*-------------------------------------------------------------------------*/
/*      FieldBallObject.java                                               */ 
/*      Copyright (C) 2000 by  Sinji Ftamase [g95241@isc.chubu.ac.jp]      */
/*      Last Update 2000/08/26                                             */
/*-------------------------------------------------------------------------*/


//
/******************************************************/
/*               եɾΥܡɽ         */
/*                          饹                    */
/******************************************************/

package GUI;

import Information.*;

import java.util.*;
import java.awt.*;

public class FieldBallKisekiObject extends FieldObject{
	 
  /*************************************************/
  /*              instance variable                */
  /*************************************************/
  
  int size;
  
    double x0, y0;
    
    boolean init = false;

  /*************************************************/
  /*                 construnctor                  */
  /*************************************************/

  public FieldBallKisekiObject(FieldKisekiCanvas fc, BaseSeeInformation bsi){
			
    super(fc, bsi);

    size = FieldCanvas.InPitchSize(CParam.BALL_SIZE*20.0);
  }

  /*************************************************/
  /*                    method                     */
  /*************************************************/
  
  public void draw() {

   BallInformation ball = bsi.ball;

   if(!init){

     x0 = ball.x;
     y0 = ball.y;
     init = true;
     int ox = FieldCanvas.InFieldPosX(ball.x);
     int oy = FieldCanvas.InFieldPosY(ball.y);
     
     g = fc.getGraphicsBuffer();
     g.setColor(Color.white);
  
     g.fillOval(ox-(size/2), oy-(size/2), size, size);
     
   }else{

    g = fc.getGraphicsBuffer();

    int ox = FieldCanvas.InFieldPosX(ball.x);
    int oy = FieldCanvas.InFieldPosY(ball.y);
    int ox0=FieldCanvas.InFieldPosX(x0);
    int oy0=FieldCanvas.InFieldPosY(y0);
    g.setColor(Color.white);
    g.drawLine(ox, oy, ox0,oy0); 

    x0 = ball.x;
    y0 = ball.y;

   }

  }

  public void terminate(){

     int ox = FieldCanvas.InFieldPosX(bsi.ball.x);
     int oy = FieldCanvas.InFieldPosY(bsi.ball.y);

     for(int i = 0; i <= 3; i++){
       g.drawOval(ox-((size-i)/2), oy-((size-i)/2), size-i, size-i); 
     }

  }

}



