/*-------------------------------------------------------------------------*/
/*      FieldBallObject.java                                               */ 
/*      Copyright (C) 2000 by  Sinji Ftamase [g95241@isc.chubu.ac.jp]      */
/*      Last Update 2000/08/26                                             */
/*-------------------------------------------------------------------------*/


//
/******************************************************/
/*               եɾΥܡɽ         */
/*                          饹                    */
/******************************************************/

package GUI;

import Information.*;

import java.util.*;
import java.awt.*;

public class FieldBallObject extends FieldObject{
	 
  /*************************************************/
  /*              instance variable                */
  /*************************************************/
  
  int size;

  /*************************************************/
  /*                 construnctor                  */
  /*************************************************/

  public FieldBallObject(FieldCanvas fc, BaseSeeInformation bsi){
			
    super(fc, bsi);

    size = FieldCanvas.InPitchSize(CParam.BALL_SIZE*10.0);

  }

  /*************************************************/
  /*                    method                     */
  /*************************************************/
  
  public void draw() {

    g = fc.getGraphicsBuffer();

    BallInformation ball = bsi.ball;

    int ox = FieldCanvas.InFieldPosX(ball.x) - (int)(size/2.0);
    int oy = FieldCanvas.InFieldPosY(ball.y) - (int)(size/2.0);

    g.setColor(Color.white);
    g.fillOval(ox, oy, size, size); 

  }

}



