/*-------------------------------------------------------------------------*/
/*      FieldCanvas.java                                                   */ 
/*      Copyright (C) 2000 by  Sinji Ftamase [g95241@isc.chubu.ac.jp]      */
/*      Last Update 2000/08/26                                             */
/*-------------------------------------------------------------------------*/
//
//
/******************************************************/
/*               եɤɽ륯饹           */
/*                                                    */
/******************************************************/

package GUI;

import Information.*;

import java.util.*;
import java.awt.*;

public class FieldKisekiCanvas extends FieldCanvas {
	 
  /*************************************************/
  /*              instance variable                */
  /*************************************************/

  /*************************************************/
  /*                 construnctor                  */
  /*************************************************/
  public FieldKisekiCanvas(BaseSeeInformation bsi) {

      this(length_magnify, bsi);

  }
  public FieldKisekiCanvas(int length_magnify, BaseSeeInformation bsi) {

    length_magnify = length_magnify;	
    
    width =  InPitchSize(CParam.PITCH_LENGTH + 2 * CParam.PITCH_MARGIN) + 1;
    height = InPitchSize(CParam.PITCH_WIDTH + 2 * CParam.PITCH_MARGIN) + 1;
		
    resize(width, height);
    
    fo2 = new FieldBallKisekiObject(this, bsi);

    bsi.addObserver(this);

  }
	
  /*************************************************/
  /*                    method                     */
  /*************************************************/

  public void update(Observable o, Object arg){
				
    BaseSeeInformation bsi = (BaseSeeInformation)o;

    try{
      if ((gbuff == null) || (backField == null)){
	Thread.sleep(1);

	repaint();
	return;
      }
    }catch(Exception e){
      e.printStackTrace();
    }

    //System.out.println("call draw");

    //gbuff.drawImage(backField,0,0,this);	
    fo2.draw();
    repaint();

  }

  public void terminate(){

    fo2.terminate();
    repaint();

  }

}

