//
//
//
/******************************************************/
/*                                                    */
/*                                                    */ 
/******************************************************/
package Interface;

import Information.*;
import Analyzer.*;

import java.util.zip.*;
import java.io.*;
import java.net.*;
import java.applet.*;

public class AppletInterface extends LogInterface {

    /**************************************/
    /*        instance variable           */
    /**************************************/
    
    Applet parent;
    Runner run;

    /**************************************/
    /*             constructor            */
    /**************************************/    
    
    public AppletInterface(Applet parent, String logname,Runner run){

	this.parent = parent;
	this.logname = logname;
	this.run     = run;
	
    }

    public void init(){

	try{
	    /*****************************************************
	     ĥҤ˱ƺ륹ȥ꡼μѹ
	    ******************************************************/

	  URL dataUrl = new URL(parent.getCodeBase(),logname);
	  URLConnection urlCon = dataUrl.openConnection();

	  InputStream stream = urlCon.getInputStream();

	    if (logname.endsWith(".gz")){

		dis = new DataInputStream(new GZIPInputStream(stream));

	    }else if(logname.endsWith(".zip")){

		dis = new DataInputStream(new ZipInputStream(stream));

	    }else{
		dis = new DataInputStream(stream);

	    }
	
	    //ȥ꡼ޡ
	    dis.mark(4);

	    //
	    //ΥեޥåȤȽꤹ
	    //

	    //إåμ
	    byte[] byte3 = new byte[3];
	    dis.readFully(byte3);
	    String head = new String(byte3);

	    System.out.println(head);

	    if (head.compareTo("ULG") == 0){
		
		dis.skipBytes(1);
		lpi = new NewLogParser(this);

	    }else {

		dis.reset();
		lpi = new OldLogParser(this);

	    }

	}catch(IOException e){
	    e.printStackTrace();
	}

    }

  public void skip(int byt) throws IOException {

    int ret = dis.skipBytes(byt);
    int nokori = byt - ret;
    
    if (nokori != 0){

      ret = dis.skipBytes(nokori);
      nokori = nokori - ret;
    }
  }

    public void run(){

      while(true){

	try{

	  lpi.parse();

	}catch(IOException e){
	  e.printStackTrace();
	}
	
	System.out.println(bsi.team[0].name);
	System.out.println(bsi.team[1].name);
	


	run.run();
      }

    }

}




