/*-------------------------------------------------------------------------*/
/*      BaseStrategy.java                                                  */ 
/*      Copyright (C) 2000 by  Sinji Ftamase [g95241@isc.chubu.ac.jp]      */
/*      Last Update 2000/08/26                                             */
/*-------------------------------------------------------------------------*/

/****************************************************/
/*               $B@oN,$N%Y!<%9%/%i%9(B                 */
/*                                                  */
/****************************************************/
package Strategy;

import Analyzer.*;
import java.util.*;

public class BaseStrategy{

    public static final int END      = 0;
    public static final int CONTINUE = 1;

    /*************************************************/
    /*            instance variable                  */
    /*************************************************/

    int time;
    int unum;
    String type;

    StrategyRelayEvaluater sre;
    
    public BaseStrategy(int time, int unum, StrategyRelayEvaluater sre,
                        String type){

	this.sre = sre;
	this.time = time;
	this.unum = unum;
	this.type = type;

    }

    public int update(Observable o, Object arg){return 0;}



    public void evaluate(){};
    public void evaluate(String str){};
    public int getTime(){return time;}
    public int getUnum(){return unum;}
    public String getType(){return type;}

    public String getResult(){return null;}

}


