/*-------------------------------------------------------------------------*/
/*      Intercept.java                                                     */ 
/*      Copyright (C) 2000 by  Sinji Ftamase [g95241@isc.chubu.ac.jp]      */
/*      Last Update 2000/08/26                                             */
/*-------------------------------------------------------------------------*/

/******************************************************/
/*   󥿡ץȥץ졼ɽ饹                 */
/*                                                    */ 
/******************************************************/
package Analyzer;

import Information.*;

public class Intercept{

	/****************************************/
	/*             field                    */
	/****************************************/

	int intercepterUnum;
	int interceptedUnum;
	double beforeX;
	double beforeY;
	double thisX;
	double thisY;
	int beforeTime;
	int thisTime;
        int intercepterSide;

	/**************************************/
	/*          contructor                */
	/**************************************/
	public Intercept (int interceptedUnum, int intercepterUnum, 
                          double beforeX, double beforeY,
			  double thisX, double thisY, 
                          int beforeTime, int thisTime,
                          int intercepterSide       ){
		
		this.intercepterUnum = intercepterUnum;
		this.interceptedUnum = interceptedUnum;
		this.beforeX         = beforeX; 
		this.beforeY         = beforeY;
		this.thisX           = thisX;
		this.thisY           = thisY;
		this.thisTime        = thisTime;
		this.beforeTime      = beforeTime;
		this.intercepterSide = intercepterSide;
	}

	/***************************************/
	/*           method                    */
	/***************************************/
	public int getBeforeInterceptTime(){

		return beforeTime;

	}

	public int getInterceptTime(){

		return thisTime;

	}
		
	public double getBeforeInterceptX(){		

		return beforeX;

	}
		
	public double getBeforeInterceptY(){		

		return beforeY;

	}
		
	public double getInterceptX(){		

		return thisX;

	}
		
	public double getInterceptY(){		

		return thisY;

	}

	public int getIntercepterUnum(){		

		return intercepterUnum;

	}

	public int getInterceptedUnum(){
		
		return interceptedUnum;

	}

        public int getIntercepterSide(){
 
	    return intercepterSide;
	}



}
