/*-------------------------------------------------------------------------*/
/*      PositionTable.java                                                 */ 
/*      Copyright (C) 2000 by Tetsuya Esaki [esaki@egg.ics.nitech.ac.jp]   */
/*      Last Update 2000/08/26                                             */
/*-------------------------------------------------------------------------*/

package Analyzer;

public class PositionTable{
  double[][][] startPos = {
    {// Formation 1               $BI8=`$N(BFormation
      {-47,0},
      {-22,17},{-22,7},{-22,-7},{-22,-17},
      {-10,15},{-14,0},{-10,-15},
      {-10,0},
      {-2,12},{-2,-12}
    },
    {// Formation 2               $B<iHwE*(BFormation
      {-47,0},
      {-27,17},{-27,7},{-27,-7},{-27,-17},
      {-10,17},{-14,2},{-14,-7},{-10,-17},
      {-2,10},{-2,-10}
    },
    {// Formation 3               $B967bE*(BFormation
      {-47,0},
      {-18,-20},{-18,0},{-18,20},
      {-10,17},{-15,0},{-10,-17},
      {-10,-5},{-10,2},
      {-2,12},{-2,-12}
    },
    {// Formation 4               $B%+%&%s%?!<A@$$!#(B
      {-47,0},
      {-24,0},{-24,15},{-24,-15},{-24,0},
      {-10,-22},{-10,-0},{-10,22},
      {-1,-12},{-1,0},{-1,12}
    }
  };
  
  double[][][] stdPos = {
    {// Formation 1               $BI8=`$N(BFormation
      {-47,0},
      {-22,17},{-22,7},{-22,-7},{-22,-17},
      {5,15},{-5,0},{5,-15},
      {10,0},
      {30,12},{30,-12}
    },
    {// Formation 2               $B<iHwE*(BFormation
      {-47,0},
      {-27,17},{-27,7},{-27,-7},{-27,-17},
      {-5,17},{-12,7},{-12,-7},{-5,-17},
      {15,7},{15,-7}
    },
    {// Formation 3               $B967bE*(BFormation
      {-47,0},
      {-18,-20},{-18,0},{-18,20},
      {0,17},{-5,0},{0,-17},
      {10,-5},{10,5},
      {30,12},{30,-12}
    },
    {// Formation 4               $B%+%&%s%?!<A@$$!#(B
      {-47,0},
      {-24,0},{-24,15},{-24,-15},{-24,0},
      {5,-22},{0,0},{5,22},
      {30,-12},{30,0},{30,12}
    }
  };

  public String[][] role = {
    {// Formation 1               $BI8=`$N(BFormation
      "GK",
      "DF","DF","DF","DF",
      "MF","MF","MF",
      "OH",
      "FW","FW"
    },
    {// Formation 2               $B<iHwE*(BFormation
      "GK",
      "DF","DF","DF","DF",
      "MF","MF","MF","MF",
      "FW","FW"
    },
    {// Formation 3               $B967bE*(BFormation
      "GK",
      "DF","DF","DF",
      "MF","MF","MF",
      "OH","OH",
      "FW","FW"
    },
    {// Formation 4              $B%+%&%s%?!<A@$$!#(B
      "GK",
      "DF","DF","DF","DF",
      "MF","MF","MF",
      "FW","OH","FW"
    }
  };

  /***********************************************************************/

  public PositionTable(){
  }

  /***********************************************************************/
}
