/*-------------------------------------------------------------------------*/
/*      StrategySender.java                                                */ 
/*      Copyright (C) 2000 by  Sinji Ftamase [g95241@isc.chubu.ac.jp]      */
/*      Last Update 2000/08/26                                             */
/*-------------------------------------------------------------------------*/

/****************************************************/
/*                  άʬϥ饹                  */
/*                                                  */
/****************************************************/
package Analyzer;

//jdk packege
import java.util.*;

//my package
import Information.*;
import Strategy.*;
import Interface.*;

public class StrategySender extends Analyzer{
	
    /*************************************************/
    /*            instance variable                  */
    /*************************************************/

    CoachInterface ci;
    StrategyRelayEvaluater sre;

    int index;
    /*********************************************/
    /*                                       */
    /*********************************************/

    public static final int MAX_MESSAGE_LENGTH = 128;

    /*********************************************/
    /*               constructor                 */
    /*********************************************/
	
    public StrategySender(CoachInterface ci, PlayModeAnalyzer pma, StrategyRelayEvaluater sre){

	this.ci = ci;
	this.sre = sre;
	
	pma.addObserver(this);

    }		

    public void update(Observable o, Object arg){
       
	if (o instanceof PlayModeAnalyzer){
	    
	    PlayModeAnalyzer pma = (PlayModeAnalyzer)o;

	    if (pma.getInformation() == PlayModeAnalyzer.PLAY_ON_TO_OFF){

		send();		

	    }

	}

    }

    protected void send(){

	//"header time unum strategy_type result"

	//äƤ
	Vector messages = ci.getSendMessages();

	String str0 = new String();
	String str = new String();

	//άɾ̤ǼƤ٥
	Vector v = sre.getStrategyVector();

	for(int i = index; i < v.size(); i++){

	    BaseStrategy bs = (BaseStrategy)v.elementAt(i);

	    //str0 = "(SR "+bs.getTime()+" "+bs.getUnum()+" "+bs.getType()+" "+bs.getResult()+")";

	    str0 = "(SR "+bs.getUnum()+" "+bs.getType()+" "+bs.getResult()+")";
	    // add (-2)  by 6/20
	    //ޤǤΤ˲äƿʥåä,
	    //ʸ¤˰óݤ
	    if (str.length() + str0.length() >= (MAX_MESSAGE_LENGTH - 2)){
		
		//str = "("+str+")";

		messages.addElement(str);
		System.out.println(str);

		// changed 6/20
		str = str0;

		//str0 = new String();

	    }else{

		//äά
		if(str.equals("")){
		    str = str0;
		}else{
		    //餿դä
		    str = str +" "+str0;
		}

	    }
		
	}

	System.out.println(str);

	//.....
	if (str.length() >= 2){

	    //str = "("+str+")";

	    messages.addElement(str);
	}

	index = v.size();

    }

}


