/*-------------------------------------------------------------------------*/
/*      FieldPlayerObject.java                                             */ 
/*      Copyright (C) 2000 by  Sinji Ftamase [g95241@isc.chubu.ac.jp]      */
/*      Last Update 2000/08/26                                             */
/*-------------------------------------------------------------------------*/
//
//
/******************************************************/
/*               եɾΥץ졼ɽ         */
/*                          饹                    */
/******************************************************/

package GUI;

import Information.*;

import java.util.*;
import java.awt.*;

public class FieldPlayerObject extends FieldObject{
	 
  /*************************************************/
  /*              instance variable                */
  /*************************************************/
  
  int hsize, size;

  /*************************************************/
  /*                 construnctor                  */
  /*************************************************/

  public FieldPlayerObject(FieldCanvas fc, BaseSeeInformation bsi){
			
    super(fc, bsi);

    size = FieldCanvas.InPitchSize(CParam.PLAYER_SIZE * 2);
    hsize = size / 2;

  }

  /*************************************************/
  /*                    method                     */
  /*************************************************/
  
  public void draw() {

    g = fc.getGraphicsBuffer();

    Color[] c = new Color[2];

    c[Team.LEFT]  = CParam.TEAM_L_COLOR;
    c[Team.RIGHT] = CParam.TEAM_R_COLOR;

    for (int i = 0; i <= 1; i++){

      for(int j = 0; j <= 10; j++){

	PlayerInformation player = bsi.team[i].player[j];

	if ( player.enable != CParam.DISABLE ){

	  int ox = FieldCanvas.InFieldPosX(player.x) - (int)(size/2.0);
	  int oy = FieldCanvas.InFieldPosY(player.y) - (int)(size/2.0);

	  g.setColor(Color.black);
	  g.fillOval(ox, oy, size, size);
	  g.setColor(c[i]);
	  g.fillArc(ox, oy, size, size, -((int)player.angle)-90, 180);

	  Integer in = new Integer(player.unum);
	  String str = in.toString();
	  g.drawString(str, ox, oy);

	}
      }

    }
  }
}



