/*-------------------------------------------------------------------------*/
/*      GameControlPanel.java                                              */ 
/*      Copyright (C) 2000 by  Sinji Ftamase [g95241@isc.chubu.ac.jp]      */
/*      Last Update 2000/08/26                                             */
/*-------------------------------------------------------------------------*/
//
//
/******************************************************/
/*              ơѥͥɽ륯饹      */
/*                                                    */
/******************************************************/

package GUI;

import Information.*;

import java.util.*;
import java.awt.*;

public class GameControlPanel extends Panel {
	 
  /*************************************************/
  /*              instance variable                */
  /*************************************************/

  Button stop_btn, pause_btn, close_btn;

  GameControlPanelEventListener gcel;
  /*************************************************/
  /*                  teisuu                       */
  /*************************************************/

  /*************************************************/
  /*                 construnctor                  */
  /*************************************************/

  public GameControlPanel(GameControlPanelEventListener gcel){

    this.gcel = gcel;

  }
	
  /*************************************************/
  /*                    method                     */
  /*************************************************/

  public void init(){

    setLayout(new FlowLayout());
    setBackground(Color.white);

    stop_btn = new Button("STOP");
    pause_btn = new Button("PAUSE");
    close_btn = new Button("CLOSE");
    
    add(stop_btn);
    add(pause_btn);
    add(close_btn);

  }
  
  public boolean action(Event e, Object arg){

    if (e.target instanceof Button){

      String label = (String)arg;

      if (label.equals("CLOSE")){

	gcel.closePushed();

      }else if (label.equals("PAUSE")){

	gcel.pausePushed();

      }else if (label.equals("STOP")){

	gcel.stopPushed();

      }else if (label.equals("RESTART")){

	gcel.restartPushed();

      }

    }

    return true;

  }

}

