/*-------------------------------------------------------------------------*/
/*      GameStatusPanel.java                                               */ 
/*      Copyright (C) 2000 by  Sinji Ftamase [g95241@isc.chubu.ac.jp]      */
/*      Last Update 2000/08/26                                             */
/*-------------------------------------------------------------------------*/
//
//
/******************************************************/
/*              ơѥͥɽ륯饹      */
/*                                                    */
/******************************************************/

package GUI;

import Information.*;

import java.util.*;
import java.awt.*;

public class GameStatusPanel extends Panel  implements Observer{
	 
  /*************************************************/
  /*              instance variable                */
  /*************************************************/

  TextField status_r, status_l;
  Label status_t, status_m;
  Label goalscore_l, goalscore_r;

  /*************************************************/
  /*                  teisuu                       */
  /*************************************************/

  static Color color_r = Color.blue; 
  static Color color_l = Color.red;

  /*************************************************/
  /*                 construnctor                  */
  /*************************************************/

  public GameStatusPanel(BaseSeeInformation bsi){
    
    //
    //Ǥ,̹ɬפʤȤΤupdateƤӽФ褦ˤ
    //
    bsi.addObserver(this);

  }
	
  /*************************************************/
  /*                    method                     */
  /*************************************************/

  public void init(){

    setLayout(new GridLayout(1,6));
    setBackground(Color.white);

    status_l = new TextField("Team_L");
    status_l.setEditable(false);
    status_l.setBackground(color_l);
 
    status_r = new TextField("Team_R");
    status_r.setEditable(false);
    status_r.setBackground(color_r);

    status_t = new Label("00000");
    status_t.setAlignment(status_t.CENTER);

    status_m = new Label("before_kick_off");
    status_m.setAlignment(status_m.CENTER);

    goalscore_l = new Label("0");
    goalscore_l.setAlignment(goalscore_l.LEFT);
    goalscore_r = new Label("0");
    goalscore_r.setAlignment(goalscore_r.RIGHT);
    
    add(status_l);
    add(goalscore_l);
    add(status_m);
    add(status_t);
    add(goalscore_r);
    add(status_r);

  }
  
  public void update(Observable o, Object arg){
				
    BaseSeeInformation bsi = (BaseSeeInformation)o;

    //̤ҤĤ褦̵.......
    status_l.setText(bsi.team[0].name);
    //System.out.println(bsi.team[0].name);

    if (!bsi.team[1].name.equals(bsi.team[0].name)){

      status_r.setText(bsi.team[1].name);

    }

    // System.out.println(bsi.team[1].name);

    goalscore_l.setText(new Integer(bsi.team[Team.LEFT].score).toString());
    goalscore_r.setText(new Integer(bsi.team[Team.RIGHT].score).toString());

    status_t.setText(new Integer(bsi.time).toString());
    status_m.setText(CParam.PLAYMODE_STRINGS[bsi.play_mode]);

  }


}

