//
//
//
/******************************************************/
/*   ե뤫ξ뤿               */
/*   󥿡եȤʤ륯饹                     */ 
/******************************************************/
package Interface;

import Information.*;
import Analyzer.*;

import java.util.zip.*;
import java.io.*;

public class ApplicationLogInterface extends LogInterface {

    /**************************************/
    /*        instance variable           */
    /**************************************/

    /**************************************/
    /*             constructor            */
    /**************************************/    
    
    public ApplicationLogInterface(String logname){

	this.logname = logname;
    }

    public void init(){

	try{
	    /*****************************************************
	     ĥҤ˱ƺ륹ȥ꡼μѹ
	    ******************************************************/

	    FileInputStream fis = new FileInputStream(logname);

	    if (logname.endsWith(".gz")){

		dis = new DataInputStream(new GZIPInputStream(fis));

	    }else if(logname.endsWith(".zip")){

		dis = new DataInputStream(new ZipInputStream(fis));

	    }else{
		dis = new DataInputStream(fis);

	    }
	
	    //ȥ꡼ޡ
	    dis.mark(4);

	    //
	    //ΥեޥåȤȽꤹ
	    //

	    //إåμ
	    byte[] byte3 = new byte[3];
	    dis.readFully(byte3);
	    String head = new String(byte3);

	    System.out.println(head);

	    if (head.compareTo("ULG") == 0){
		
		dis.skipBytes(1);
		lpi = new NewLogParser(this);

	    }else {

		dis.reset();
		lpi = new OldLogParser(this);

	    }

	}catch(IOException e){
	    e.printStackTrace();
	}

    }

    public void run(){

	while(true){

	    try{
		
		System.out.println("retVal = "+lpi.parse());

		sleep(1);

	    }catch(IOException e){

		e.printStackTrace();

	    }catch(InterruptedException e){

		e.printStackTrace();
		
	    }
		
	}

    }

}




