/*-------------------------------------------------------------------------*/
/*      CoachMessageParserForVer6x.java                                    */ 
/*      Copyright (C) 2000 by  Shinji Futamase [g95241@isc.chubu.ac.jp]    */
/*      Last Update 2000/08/26                                             */
/*-------------------------------------------------------------------------*/

/******************************************************/
/*   soccerserverΥå                   */
/*   ƤϤparser(                            */ 
/******************************************************/
package Interface;

import Information.*;

import java.util.zip.*;
import java.util.*;
import java.io.*;

public class CoachMessageParserForVer6x extends CoachMessageParser{

    /**************************************/
    /*       instance variable            */
    /**************************************/    

    /**************************************/
    /*              teisuu                */
    /**************************************/    

    /**************************************/
    /*             constructor            */
    /**************************************/    
    
    public CoachMessageParserForVer6x(CoachInterface parent){

	super(parent);
	
    }

    /**************************************/
    /*             method                 */
    /**************************************/   

    protected void parseVisualInformation(StringTokenizer strtk){

	//System.out.println("at parse visual information");

	int currentTime = new Integer(strtk.nextToken()).intValue();
		
	//Time򥻥å
	
	parent.bsi.time = currentTime;

	//
	//goal֤ξϤȤФ
	//
	for(int i = 1; i <= 8; i++){

	    strtk.nextToken();

	}

	//(ball)
	strtk.nextToken();


	BallInformation ball = parent.bsi.ball;

	//ܡκɸ򥻥å
	ball.x = new Float(strtk.nextToken()).floatValue()*reverse;
	ball.y = new Float(strtk.nextToken()).floatValue()*reverse;

	//System.out.println("ball x"+ball.x);
	//System.out.println("ball y"+ball.y);

	for(int i = 1; i <= 2; i++){

	    strtk.nextToken();

	}
	
	if (!strtk.hasMoreTokens()){
	    return ;
	}

	//
	//player 
	//
	boolean first = true;

	while(strtk.hasMoreTokens()){

	    //player
	    strtk.nextToken();

	    String teamName = strtk.nextToken();
	    int unum =  new Integer(strtk.nextToken()).intValue();

	    int side;

	    //Υץ졼̣
	    //ؤϾ˺ɤȤƤ󤬤
	    if (parent.myTeamName.equals(teamName)){

		side = Team.LEFT;

	    }else{   
 
		side = Team.RIGHT;
		
	    }

	    PlayerInformation p = parent.bsi.team[side].player[unum-1];

	    p.x = new Float(strtk.nextToken()).floatValue()*reverse;
	    p.y = new Float(strtk.nextToken()).floatValue()*reverse;

	    p.enable = 1;
	    p.unum   = unum;

	    //ñ̤äƤ롩
	    p.angle  = new Integer(strtk.nextToken()).intValue();

	    //ޤƤʤѥ᡼
	    for(int i = 1; i <= 3; i++){

		strtk.nextToken();

	    }

	}

    }
    

}










