/*-------------------------------------------------------------------------*/
/*      Utility.java                                                       */ 
/*      Copyright (C) 2000 by  Sinji Ftamase [g95241@isc.chubu.ac.jp]      */
/*      Last Update 2000/08/26                                             */
/*-------------------------------------------------------------------------*/

/****************************************************/
/*       桼ƥƥ饹                     */
/*                                                  */
/****************************************************/
package Utility;

import java.io.*;
import java.util.*;
import java.awt.event.*;

public class Utility {

    public static final double RADIAN = 180.0 / Math.PI;

    /*****************************************************/
    /*                static method                      */
    /*****************************************************/
   
    //BΩäƤӥåȤ٤BΩäƤ뤫
    public static boolean compBitOr(short a, short b){

	return ( (a & b) == b );

    }

    public static boolean compBitOr(int a, short b){

	return compBitOr((short)a, b);

    }
    
    public static double getDistance(double x0, double y0, double x1, double y1){

	return Math.sqrt((x0-x1)*(x0-x1)+(y0-y1)*(y0-y1));

    }





    public static String getFullPathFileToFile(String fileName){

	String s;
	StringTokenizer st = new StringTokenizer(fileName, File.separator);
       
	//եؤfull path,ե̾ΤߤȤ
	do{

	    s = st.nextToken();

	}while(st.hasMoreTokens());

	return s;
	
    }

    public static String getStringBeforePeriod(String str){

	int beforePeriod = str.indexOf('.');    
	String retStr = str.substring(0, beforePeriod);

	return retStr;

    }
    /*********************************************************/
    /*0-101-11 11-211-11Ȥ   */
    /*ǡºݤֹѴ                       */
    /*********************************************************/
    public static int convertUniformNumber(int num){

	if (num <= 10){

	    return num+1;

	}else{

	    return num - 10;

	}

    }
    
        /***********************************/
        /*             for debug           */
        /***********************************/
        public static String getKey(){

                String st = null;

                try{
         

                        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));


                        st = (String)(br.readLine()).trim();

                }
                catch(IOException ie){

                        ie.printStackTrace();

                }

                return st;

        }

        public static void breakPoint(){

                char ch;
               try{
                
                        ch = (char)System.in.read();
                                  
                }
                catch(IOException ie){
                        ie.printStackTrace();
                }   
        }




}

